Overview | Package | Class | Tree | Deprecated | Index | Help
| XCC/J 4.2-9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.marklogic.xcc.exceptions
Class RetryableXQueryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.marklogic.xcc.exceptions.XccException
                  com.marklogic.xcc.exceptions.RequestException
                      com.marklogic.xcc.exceptions.RequestServerException
                          com.marklogic.xcc.exceptions.XQueryException
                              com.marklogic.xcc.exceptions.RetryableXQueryException

All Implemented Interfaces:
  Serializable

    public class RetryableXQueryException

extends XQueryException

A specialization of `XQueryException` which is always retryable, to define a distinct exception type that can be caught separately. Note that in most cases, retryable exceptions will be retried automatically.

See Also:
  `RequestOptions.setMaxAutoRetry(int)`, Serialized Form

Constructor Summary
`RetryableXQueryException(Request request, String code, String w3cCode, String xqueryVersion, String message, String formatString, String expr, boolean retryable, String[] data, XQueryStackFrame[] stack)`

Method Summary

Methods inherited from class com.marklogic.xcc.exceptions.XQueryException
`getCode, getData, getFormatString, getStack, getW3CCode, getXQueryVersion, isRetryable, toString`

Methods inherited from class com.marklogic.xcc.exceptions.RequestException
`appendRequestInfo, getRequest`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RetryableXQueryException

    public RetryableXQueryException(Request request,
                                    String code,
                                    String w3cCode,
                                    String xqueryVersion,
                                    String message,
                                    String formatString,
                                    String expr,
                                    boolean retryable,
                                    String[] data,
                                    XQueryStackFrame[] stack)

Overview | Package | Class | Tree | Deprecated | Index | Help
| XCC/J 4.2-9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 MarkLogic Corporation, All Rights Reserved.

Complete online documentation for MarkLogic Server, XQuery and related components may be found at developer.marklogic.com